using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.SpellFilter;

[ComImport]
[TypeLibType(4096)]
[Guid("76A6E2FA-30DA-4442-A75F-D3013B044E63")]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(2)]
public interface _ISpellsEvents
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Login([In] int CharacterID);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(2)]
	void Spellbook_Add(int SpellAdded);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(3)]
	void Spellbook_Delete(int SpellDeleted);
}
